#ifndef STUDENTE_H
#define STUDENTE_H
#define MAX_EX 18
#define MAX_MAT 6
#include "Persona.h"
#include "Esame.h"
#include <string>
// #include "Data.h"
// const int MAXMAT=6

class Studente : public Persona {
public:
   Studente(string, string, string, int, int, int);
   ~Studente();
   bool trasferito();
   void aggiungiEsame(Esame);  // nuovo
   double media();  // nuovo
   int esamiSostenuti();  // nuovo
   int quanteLodi();  // nuovo
   void stampa();
   void stampaCV() ;  // nuovo
private:
   string matricola;
   bool checkMatricola(string);
   Esame listaEsami[MAX_EX]; // nuovo
   int numEsami; // nuovo
};

#endif
